export const TYPOGRAPHY_TYPE_PRIMARY = 'primary';
export const TYPOGRAPHY_TYPE_SECONDARY = 'secondary';
export const TYPOGRAPHY_TYPE_TERTIARY = 'tertiary';
export const TYPOGRAPHY_TYPE_QUATERNARY = 'quaternary';
export const TYPOGRAPHY_TYPE_QUIVARY = 'quivary';
export const TYPOGRAPHY_TYPE_SENARY = 'senary';
export const TYPOGRAPHY_TYPE_SEPTENARY = 'septenary';
export const TYPOGRAPHY_TYPE_TEXT = 'text';
export const TYPOGRAPHY_TYPE_HINT = 'hint';
export const TYPOGRAPHY_TYPE_CAPTION = 'caption';

export type availableTypographyTypes =
    typeof TYPOGRAPHY_TYPE_PRIMARY
    | typeof TYPOGRAPHY_TYPE_SECONDARY
    | typeof TYPOGRAPHY_TYPE_TERTIARY
    | typeof TYPOGRAPHY_TYPE_QUATERNARY
    | typeof TYPOGRAPHY_TYPE_QUIVARY
    | typeof TYPOGRAPHY_TYPE_SENARY
    | typeof TYPOGRAPHY_TYPE_SEPTENARY
    | typeof TYPOGRAPHY_TYPE_TEXT
    | typeof TYPOGRAPHY_TYPE_HINT
    | typeof TYPOGRAPHY_TYPE_CAPTION;

export const availableTypographyTypesList = [
    TYPOGRAPHY_TYPE_PRIMARY,
    TYPOGRAPHY_TYPE_SECONDARY,
    TYPOGRAPHY_TYPE_TERTIARY,
    TYPOGRAPHY_TYPE_QUATERNARY,
    TYPOGRAPHY_TYPE_QUIVARY,
    TYPOGRAPHY_TYPE_SENARY,
    TYPOGRAPHY_TYPE_SEPTENARY,
    TYPOGRAPHY_TYPE_TEXT,
    TYPOGRAPHY_TYPE_HINT,
    TYPOGRAPHY_TYPE_CAPTION,
];
